Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface Wildcard

- All Superinterfaces:
    `Annotated`, `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Subinterfaces:
    `AnyDocument.Any`
  All Known Implementing Classes:
    `AnyDocumentImpl.AnyImpl`, `WildcardImpl`

      public interface Wildcard
      extends Annotated

  An XML wildcard(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `Wildcard.ProcessContents` | An XML processContents(@).

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentFactory<Wildcard>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getNamespace()` | Gets the "namespace" attribute
    `Wildcard.ProcessContents.Enum` | `getProcessContents()` | Gets the "processContents" attribute
    `boolean` | `isSetNamespace()` | True if has "namespace" attribute
    `boolean` | `isSetProcessContents()` | True if has "processContents" attribute
    `void` | `setNamespace​(Object namespace)` | Sets the "namespace" attribute
    `void` | `setProcessContents​(Wildcard.ProcessContents.Enum processContents)` | Sets the "processContents" attribute
    `void` | `unsetNamespace()` | Unsets the "namespace" attribute
    `void` | `unsetProcessContents()` | Unsets the "processContents" attribute
    `NamespaceList` | `xgetNamespace()` | Gets (as xml) the "namespace" attribute
    `Wildcard.ProcessContents` | `xgetProcessContents()` | Gets (as xml) the "processContents" attribute
    `void` | `xsetNamespace​(NamespaceList namespace)` | Sets (as xml) the "namespace" attribute
    `void` | `xsetProcessContents​(Wildcard.ProcessContents processContents)` | Sets (as xml) the "processContents" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<Wildcard> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getNamespace

          Object getNamespace()

      Gets the "namespace" attribute

    - #### xgetNamespace

          NamespaceList xgetNamespace()

      Gets (as xml) the "namespace" attribute

    - #### isSetNamespace

          boolean isSetNamespace()

      True if has "namespace" attribute

    - #### setNamespace

          void setNamespace​(Object namespace)

      Sets the "namespace" attribute

    - #### xsetNamespace

          void xsetNamespace​(NamespaceList namespace)

      Sets (as xml) the "namespace" attribute

    - #### unsetNamespace

          void unsetNamespace()

      Unsets the "namespace" attribute

    - #### getProcessContents

          Wildcard.ProcessContents.Enum getProcessContents()

      Gets the "processContents" attribute

    - #### xgetProcessContents

          Wildcard.ProcessContents xgetProcessContents()

      Gets (as xml) the "processContents" attribute

    - #### isSetProcessContents

          boolean isSetProcessContents()

      True if has "processContents" attribute

    - #### setProcessContents

          void setProcessContents​(Wildcard.ProcessContents.Enum processContents)

      Sets the "processContents" attribute

    - #### xsetProcessContents

          void xsetProcessContents​(Wildcard.ProcessContents processContents)

      Sets (as xml) the "processContents" attribute

    - #### unsetProcessContents

          void unsetProcessContents()

      Unsets the "processContents" attribute